Package org.kapott.hbci.passport

## Class AbstractRDHSWPassport

- java.lang.Object
- - org.kapott.hbci.passport.AbstractHBCIPassport
  - - org.kapott.hbci.passport.AbstractRDHPassport
    - - org.kapott.hbci.passport.AbstractRDHSWPassport

All Implemented Interfaces:
  `java.io.Serializable`, `HBCIPassport`, `HBCIPassportInternal`, `InitLetterPassport`

Direct Known Subclasses:
  `AbstractRDHSWFileBasedPassport`

    public abstract class AbstractRDHSWPassport
    extends AbstractRDHPassport

See Also:
  Serialized Form

### Field Summary

Fields
`protected HBCIKey[][]` `keys`

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

### Constructor Summary

Constructors
`protected` `AbstractRDHSWPassport​(java.lang.Object init)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `decrypt​(byte[] cryptedKey, byte[] cryptedMsg)`
`byte[][]` `encrypt​(byte[] plainMsg)`
`HBCIKey[][]` `generateNewUserKeys()`
`HBCIKey` `getInstEncKey()`
`java.lang.String` `getInstEncKeyName()`
`java.lang.String` `getInstEncKeyNum()`
`java.lang.String` `getInstEncKeyVersion()`
`HBCIKey` `getInstSigKey()`
`java.lang.String` `getInstSigKeyName()`
`java.lang.String` `getInstSigKeyNum()`
`java.lang.String` `getInstSigKeyVersion()`
`HBCIKey` `getKey​(int i, int j)`
`java.lang.String` `getMyEncKeyName()`
`java.lang.String` `getMyEncKeyNum()`
`java.lang.String` `getMyEncKeyVersion()`
`HBCIKey` `getMyPrivateDigKey()`
`HBCIKey` `getMyPrivateEncKey()`
`HBCIKey` `getMyPrivateSigKey()`
`HBCIKey` `getMyPublicDigKey()`
`HBCIKey` `getMyPublicEncKey()`
`HBCIKey` `getMyPublicSigKey()`
`java.lang.String` `getMySigKeyName()`
`java.lang.String` `getMySigKeyNum()`
`java.lang.String` `getMySigKeyVersion()`
`boolean` `hasInstEncKey()`
`boolean` `hasInstSigKey()`
`boolean` `hasMyEncKey()`
`boolean` `hasMySigKey()`
`void` `setInstEncKey​(HBCIKey key)`
`void` `setInstSigKey​(HBCIKey key)`
`void` `setKey​(int i, int j, HBCIKey key)`
`void` `setMyDigKey​(HBCIKey key)`
`void` `setMyEncKey​(HBCIKey key)`
`void` `setMyPrivateDigKey​(HBCIKey key)`
`void` `setMyPrivateEncKey​(HBCIKey key)`
`void` `setMyPrivateSigKey​(HBCIKey key)`
`void` `setMyPublicDigKey​(HBCIKey key)`
`void` `setMyPublicEncKey​(HBCIKey key)`
`void` `setMyPublicSigKey​(HBCIKey key)`
`void` `setMySigKey​(HBCIKey key)`
`byte[]` `sign​(byte[] data)`
`boolean` `verify​(byte[] data, byte[] sig)`

### Methods inherited from class org.kapott.hbci.passport.AbstractRDHPassport

`createMsgKey, getCommInstance, getCryptAlg, getCryptDataSize, getCryptFunction, getCryptKeyType, getCryptMode, getHashAlg, getPassportTypeName, getProfileMethod, getSigAlg, getSigFunction, getSigMode, getSignatureInstance, getSignatureParamSpec, getSysStatus, hash, isSupported, needInstKeys, needUserKeys, needUserSig, onDialogEvent`

### Methods inherited from class org.kapott.hbci.passport.AbstractHBCIPassport

`askForMissingData, canMixSecMethods, changePassphrase, checkForCryptDataSize, clearBPD, clearInstEncKey, clearInstSigKey, clearMyDigKey, clearMyEncKey, clearMySigKey, clearUPD, close, closeComm, fillAccountInfo, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getCID, getClientData, getComm, getCommFilter, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstance, getInstance, getInstance, getInstance, getInstName, getJobRestrictions, getJobRestrictions, getLang, getMaxGVperMsg, getMaxGVSegsPerMsg, getMaxMsgSizeKB, getParamHeader, getParamSegmentNames, getParentHandlerData, getPersistentData, getPort, getSigId, getStoredCustomerId, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getSysId, getUPD, getUPDVersion, getUserId, incSigId, isAnonymous, onlyBPDGVs, setBLZ, setBPD, setCID, setClientData, setCountry, setCustomerId, setFilterType, setHBCIVersion, setHost, setParamHeader, setParentHandlerData, setPersistentData, setPort, setProfileMethod, setProfileVersion, setSigId, setSysId, setUPD, setUserId, syncSigId, syncSysId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.kapott.hbci.passport.HBCIPassport

`saveChanges`

### Methods inherited from interface org.kapott.hbci.passport.HBCIPassportInternal

`getProfileVersion, resetPassphrase`

### Field Detail

#### keys

    protected HBCIKey[][] keys

### Constructor Detail

#### AbstractRDHSWPassport

    protected AbstractRDHSWPassport​(java.lang.Object init)

### Method Detail

#### hasInstSigKey

    public boolean hasInstSigKey()

#### hasInstEncKey

    public boolean hasInstEncKey()

#### hasMySigKey

    public boolean hasMySigKey()

#### hasMyEncKey

    public boolean hasMyEncKey()

#### getKey

    public HBCIKey getKey​(int i,
                          int j)

#### setInstSigKey

    public void setInstSigKey​(HBCIKey key)

#### setInstEncKey

    public void setInstEncKey​(HBCIKey key)

#### setMySigKey

    public void setMySigKey​(HBCIKey key)

#### setMyEncKey

    public void setMyEncKey​(HBCIKey key)

#### setMyDigKey

    public void setMyDigKey​(HBCIKey key)

#### setMyPublicSigKey

    public void setMyPublicSigKey​(HBCIKey key)

#### setMyPrivateSigKey

    public void setMyPrivateSigKey​(HBCIKey key)

#### setMyPublicEncKey

    public void setMyPublicEncKey​(HBCIKey key)

#### setMyPrivateEncKey

    public void setMyPrivateEncKey​(HBCIKey key)

#### setMyPublicDigKey

    public void setMyPublicDigKey​(HBCIKey key)

#### setMyPrivateDigKey

    public void setMyPrivateDigKey​(HBCIKey key)

#### getMyPublicSigKey

    public HBCIKey getMyPublicSigKey()

#### getMyPrivateSigKey

    public HBCIKey getMyPrivateSigKey()

#### getMyPublicEncKey

    public HBCIKey getMyPublicEncKey()

#### getMyPrivateEncKey

    public HBCIKey getMyPrivateEncKey()

#### getMyPublicDigKey

    public HBCIKey getMyPublicDigKey()

#### getMyPrivateDigKey

    public HBCIKey getMyPrivateDigKey()

#### getInstSigKey

    public HBCIKey getInstSigKey()

#### getInstSigKeyName

    public java.lang.String getInstSigKeyName()

#### getInstSigKeyNum

    public java.lang.String getInstSigKeyNum()

#### getInstSigKeyVersion

    public java.lang.String getInstSigKeyVersion()

#### getInstEncKey

    public HBCIKey getInstEncKey()

#### getInstEncKeyName

    public java.lang.String getInstEncKeyName()

#### getInstEncKeyNum

    public java.lang.String getInstEncKeyNum()

#### getInstEncKeyVersion

    public java.lang.String getInstEncKeyVersion()

#### getMySigKeyName

    public java.lang.String getMySigKeyName()

#### getMySigKeyNum

    public java.lang.String getMySigKeyNum()

#### getMySigKeyVersion

    public java.lang.String getMySigKeyVersion()

#### getMyEncKeyName

    public java.lang.String getMyEncKeyName()

#### getMyEncKeyNum

    public java.lang.String getMyEncKeyNum()

#### getMyEncKeyVersion

    public java.lang.String getMyEncKeyVersion()

#### setKey

    public final void setKey​(int i,
                             int j,
                             HBCIKey key)

#### sign

    public byte[] sign​(byte[] data)

#### verify

    public boolean verify​(byte[] data,
                          byte[] sig)

#### encrypt

    public byte[][] encrypt​(byte[] plainMsg)

#### decrypt

    public byte[] decrypt​(byte[] cryptedKey,
                          byte[] cryptedMsg)

#### generateNewUserKeys

    public HBCIKey[][] generateNewUserKeys()

Specified by:
  `generateNewUserKeys` in interface `HBCIPassportInternal`
Overrides:
  `generateNewUserKeys` in class `AbstractHBCIPassport`